Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163146 - linux/netlink.h uses undefined types
Summary: linux/netlink.h uses undefined types
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-13 14:42 UTC by Bill Nottingham
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 00:12:48 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-07-13 14:42:24 UTC
linux/netlink.h has:

struct sockaddr_nl
{
        sa_family_t     nl_family;      /* AF_NETLINK   */
        unsigned short  nl_pad;         /* zero         */
        __u32           nl_pid;         /* process pid  */
        __u32           nl_groups;      /* multicast groups mask */
};

struct nlmsghdr
{
        __u32           nlmsg_len;      /* Length of message including header */
       
        __u16           nlmsg_type;     /* Message content */
        __u16           nlmsg_flags;    /* Additional flags */
        __u32           nlmsg_seq;      /* Sequence number */
        __u32           nlmsg_pid;      /* Sending process PID */
};

without actually defining __u16/__u32.

Comment 1 David Woodhouse 2005-07-14 12:33:08 UTC
Just include asm/types.h beforehand.

These are private kernel headers; if you want to abuse them, you're expected to
include the other required headers as necessary. If all you have to do is
include one extra header, then you probably got off lightly.


Comment 2 Bill Nottingham 2005-07-14 17:23:51 UTC
Hm?

Either they're private kernel headers, in which case we should drop this package
and ship the stock versions from the kernel, or they're headers for kernel
interfaces sanitized for userspace & libc use, and we should fix them.

Pick one.


Comment 3 David Woodhouse 2005-07-14 17:50:33 UTC
They are both. They are _slightly_ sanitised for libc use, and to a _very_ small
extent for other userspace use -- but if you want to use them from userspace
applications then you have to be aware that you're poking at headers which you
aren't really supposed to be using, and you have to be careful with them.

Just be thankful that the solution 'include asm/types.h first' isn't as baroque
as the one reported in bug #104160 ;)


Comment 4 Red Hat Bugzilla 2007-02-05 19:16:33 UTC
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.

Comment 5 Bug Zapper 2008-04-03 16:15:20 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:12:46 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.